Bug 1251765 - SELinux is preventing dnssec-trigger- from 'relabelto' accesses on the file resolv.conf.backup.
SELinux is preventing dnssec-trigger- from 'relabelto' accesses on the file r...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:d0924f01c5e895e6e80af83afa8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-09 14:55 EDT by Moez Roy
Modified: 2015-12-02 13:15 EST (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-105.22.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:52:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moez Roy 2015-08-09 14:55:21 EDT
Description of problem:
SELinux is preventing dnssec-trigger- from 'relabelto' accesses on the file resolv.conf.backup.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that dnssec-trigger- should be allowed relabelto access on the resolv.conf.backup file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep dnssec-trigger- /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:dnssec_trigger_t:s0
Target Context                system_u:object_r:net_conf_t:s0
Target Objects                resolv.conf.backup [ file ]
Source                        dnssec-trigger-
Source Path                   dnssec-trigger-
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-105.20.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.4-100.fc21.x86_64 #1 SMP Tue
                              Aug 4 03:25:05 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-08-09 11:21:39 PDT
Last Seen                     2015-08-09 11:21:39 PDT
Local ID                      984354bb-5e33-46a8-9e8f-16fdf01bb827

Raw Audit Messages
type=AVC msg=audit(1439144499.974:335): avc:  denied  { relabelto } for  pid=1144 comm="dnssec-trigger-" name="resolv.conf.backup" dev="tmpfs" ino=18526 scontext=system_u:system_r:dnssec_trigger_t:s0 tcontext=system_u:object_r:net_conf_t:s0 tclass=file permissive=0


Hash: dnssec-trigger-,dnssec_trigger_t,net_conf_t,file,relabelto
SELinux is preventing dnssec-trigger- from 'relabelto' accesses on the file resolv.conf.backup.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that dnssec-trigger- should be allowed relabelto access on the resolv.conf.backup file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep dnssec-trigger- /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:dnssec_trigger_t:s0
Target Context                system_u:object_r:net_conf_t:s0
Target Objects                resolv.conf.backup [ file ]
Source                        dnssec-trigger-
Source Path                   dnssec-trigger-
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-105.20.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.4-100.fc21.x86_64 #1 SMP Tue
                              Aug 4 03:25:05 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-08-09 11:21:39 PDT
Last Seen                     2015-08-09 11:21:39 PDT
Local ID                      984354bb-5e33-46a8-9e8f-16fdf01bb827

Raw Audit Messages
type=AVC msg=audit(1439144499.974:335): avc:  denied  { relabelto } for  pid=1144 comm="dnssec-trigger-" name="resolv.conf.backup" dev="tmpfs" ino=18526 scontext=system_u:system_r:dnssec_trigger_t:s0 tcontext=system_u:object_r:net_conf_t:s0 tclass=file permissive=0


Hash: dnssec-trigger-,dnssec_trigger_t,net_conf_t,file,relabelto

Version-Release number of selected component:
selinux-policy-3.13.1-105.20.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         4.1.4-100.fc21.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2015-08-27 12:02:02 EDT
Lukas,
do we have all changes in F21 for dnssec-trigger?
Comment 2 Lukas Vrabec 2015-08-31 11:32:17 EDT
commit 74b2f61814af890800291f83969c6bb22258adc0
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Mon Aug 31 17:30:54 2015 +0200

    Allow dnssec-ttrigger to relabel net_conf_t files. BZ(1251765)
Comment 3 Fedora End Of Life 2015-11-04 10:55:50 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-02 09:52:45 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.